% LIMMITMESSAGE Display processing information
%    limmitMessage(msg)
%
% INPUTS
%    msg: limmitMessage
%_______________________________________________________________________

function limmitMessage(msg)

if strcmp(license, 'GNU General Public License'); fflush(stdout); end
fprintf(1, '%s %s\n', 'limmit>>', msg);

% Message in the limmitui info panel
if ~strcmp(license, 'GNU General Public License');
   h = findobj('tag', 'infoTxt');
   if ~isempty(h)
      dummy = get(h, 'string');
      nLogs = length(dummy);
      if nLogs < 10
         dummy{nLogs+1} = ['limmit>>' msg];
      else
         for i = 1:10-1
            dummy{i} = dummy{i+1};
         end
         dummy{i + 1} = ['limmit>>' msg];
      end
      set(findobj('tag', 'infoTxt'), 'string', dummy);
   end
end
drawnow;
%_______________________________________________________________________