
% OPEN THE EXCEL SPREADSHEET CORRESPONDING TO THE SST DATA FILE

function hnd = limmitXlsConnect(fileanme)

% Open the excell spreadsheet
sheets = hnd.xls.workbook.Sheets;
flag = 1;
for i = 1:sheets.Count
   if strcmp(sheets.get('Item', i).Name, hnd.cfg.data_file)
      hnd.xls.(hnd.cfg.data_file) = sheets.get('Item', i);
      flag = 0;
      break
   end
end
if flag
   for i = 1:sheets.Count
      if strcmp(sheets.get('Item', i).Name, ['Sheet' num2str(i)])
         hnd.xls.(hnd.cfg.data_file) = sheets.get('Item', i);
         hnd.xls.(hnd.cfg.data_file).Name = hnd.cfg.data_file;
         flag = 0;
         break
      end
   end
end
if flag
   sheets.Add;
   for i = 1:sheets.Count
      if strcmp(sheets.get('Item', i).name(1:5), 'Sheet')
         hnd.xls.(hnd.cfg.data_file) = sheets.get('Item', i);
         hnd.xls.(hnd.cfg.data_file).Name = hnd.cfg.data_file;
      end
   end
end

hnd.xls.(hnd.cfg.data_file).Activate;
cellVal = 'A1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'N');
cellVal = 'B1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'Lat');
cellVal = 'C1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'Lon');
cellVal = 'D1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'Type');
cellVal = 'E1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'Sigma');
cellVal = 'F1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'Epsilon');
cellVal = 'G1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'Omega');
cellVal = 'H1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'Temp');
cellVal = 'I1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'Id');
cellVal = 'J1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'i');
cellVal = 'K1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'j');
cellVal = 'L1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'k');
cellVal = 'M1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'G_D1');
cellVal = 'N1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'T_D1');
cellVal = 'O1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'G_D2');
cellVal = 'P1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'T_D2');
cellVal = 'Q1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'r_s_mean');
cellVal = 'R1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'r_s_std');
cellVal = 'S1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'r_s_absmean');
cellVal = 'T1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 'r_s_absstd');
cellVal = 'U1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 's_i_mean');
cellVal = 'V1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 's_i_std');
cellVal = 'W1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 's_i_absmean');
cellVal = 'X1'; hnd.xls.(hnd.cfg.data_file).set('Range', cellVal, cellVal, 's_i_abssdt');
