function y = vec2ang(a, b)

cosine = (a(1) * b(1) + a(2) * b(2)) / (sqrt(a(1)^2 + a(2)^2) * sqrt(b(1)^2 + b(2)^2));
% rounding errors might make dotproduct out of range for cosine
if (cosine > 1)
   cosine = 1;
end
if (cosine < -1) 
   cosine = -1;
end

if ((a(1) * b(2) - a(2) * b(1)) < 0)
   y = -acosd(cosine);
else
   y = acosd(cosine);
end